# AP4_StszAtom Class Reference

`#include <Ap4StszAtom.h>`

Inheritance diagram for AP4_StszAtom:

List of all members.

## Public Member Functions
| AP4_StszAtom ()
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_UI32 | GetSampleCount ()
virtual AP4_Result | GetSampleSize (AP4_Ordinal sample, AP4_Size &sample_size)
virtual AP4_Result | SetSampleSize (AP4_Ordinal sample, AP4_Size sample_size)
| Set the sample size.
virtual AP4_Result | AddEntry (AP4_UI32 size)
## Static Public Member Functions
static AP4_StszAtom * | Create (AP4_Size size, AP4_ByteStream &stream)

## Detailed Description

Definition at line 41 of file Ap4StszAtom.h.

## Constructor & Destructor Documentation

AP4_StszAtom::AP4_StszAtom | ( |  | ) |

## Member Function Documentation

static AP4_StszAtom* AP4_StszAtom::Create | ( | AP4_Size | size,
|  | AP4_ByteStream & | stream |
| ) |  |  | `[static]`

virtual AP4_Result AP4_StszAtom::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Atom.

virtual AP4_Result AP4_StszAtom::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Atom.

virtual AP4_UI32 AP4_StszAtom::GetSampleCount | ( |  | ) | `[virtual]`

virtual AP4_Result AP4_StszAtom::GetSampleSize | ( | AP4_Ordinal | sample,
|  | AP4_Size & | sample_size |
| ) |  |  | `[virtual]`

virtual AP4_Result AP4_StszAtom::SetSampleSize | ( | AP4_Ordinal | sample,
|  | AP4_Size | sample_size |
| ) |  |  | `[virtual]`

Set the sample size.

Parameters:

  | sample | 1-based index of a sample.
  | sample_size | Size of the sample. If this table represents a global-size table (one where there are no individual entries for each sample, but all sample have the same size = m_SampleSize), then calling this method with sample=1 will update the global size, and calling with sample>1 will check that the value of sample_size is the same as the global size m_SampleSize.

virtual AP4_Result AP4_StszAtom::AddEntry | ( | AP4_UI32 | size | ) | `[virtual]`

The documentation for this class was generated from the following file:

- Ap4StszAtom.h